=== debian/changelog ===
golang-github-smallstep-nosql (0.3.8-2) unstable; urgency=medium

  * Updating maintainer info
  * Updating Standards-Version

 -- Peymaneh <peymaneh@posteo.net>  Tue, 20 Dec 2022 15:45:09 +0100

golang-github-smallstep-nosql (0.3.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 04 Oct 2021 13:49:23 +0530

golang-github-smallstep-nosql (0.3.6-2) unstable; urgency=medium

  * Testing migration

 -- Peymaneh Nejad <p.nejad@posteo.de>  Tue, 24 Aug 2021 14:56:40 +0200

golang-github-smallstep-nosql (0.3.6-1) unstable; urgency=medium

  * Initial release (Closes: #990860)

 -- Peymaneh Nejad <p.nejad@posteo.de>  Sun, 11 Jul 2021 22:29:50 +0530
