=== debian/control ===
Source: golang-github-smallstep-nosql
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Peymaneh <peymaneh@posteo.net>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-google-protobuf-dev,
               golang-github-pkg-errors-dev,
               golang-github-dgryski-go-farm-dev,
               golang-github-golang-snappy-dev,
               golang-github-smallstep-assert-dev,
               golang-github-go-sql-driver-mysql-dev,
               golang-github-dgraph-io-badger-dev,
               golang-github-datadog-zstd-dev,
               golang-github-coreos-bbolt-dev
Standards-Version: 4.6.1.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-smallstep-nosql
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-smallstep-nosql.git
Homepage: https://github.com/smallstep/nosql
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/smallstep/nosql

Package: golang-github-smallstep-nosql-dev
Architecture: all
Depends: golang-google-protobuf-dev,
         golang-github-pkg-errors-dev,
         golang-github-dgryski-go-farm-dev,
         golang-github-golang-snappy-dev,
         golang-github-smallstep-assert-dev,
         golang-github-go-sql-driver-mysql-dev,
         golang-github-dgraph-io-badger-dev,
         golang-github-datadog-zstd-dev,
         golang-github-coreos-bbolt-dev,
         ${misc:Depends}
Description: abstraction layer for data persistency written in golang
 This project is in development, the API is not stable.
 .
 This library currently provides following implementations (other are on the
 roadmap):
  - BoltDB (etcd fork: https://github.com/etcd-io/bbolt)
  - Badger (https://github.com/dgraph-io/badger)
  - MariaDB/MySQL
