## golang-github-smallstep-nosql 0.7.0

=== debian/changelog ===
golang-github-smallstep-nosql (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * Mark *-dev as Multi-Arch: foreign.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 15 Oct 2025 00:04:02 +0200

golang-github-smallstep-nosql (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * Use watch v5.
  * New upstream version 0.7.0
  * Standards-Version: 4.7.2.
  * Drop Rules-Requires-Root: no.
  * Bump debian/* copyright years.
  * Disable postgres/badger until deps fixed.
  * Add salsa-ci.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 02 Oct 2025 10:15:36 +0200

golang-github-smallstep-nosql (0.3.8-3) unstable; urgency=medium

  * Team upload
  * d/control:
    - Update Standards-Version to 4.7.0 (no changes needed)
    - Remove unneeded Build-Depends and Depends
    - Set minimum version of golang-github-dgraph-io-badger-dev

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 02 Aug 2024 01:43:24 +0000
